Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.core
Class QFutureWatcherVoid

    java.lang.Object
      com.trolltech.qt.QSignalEmitter
          com.trolltech.qt.QtJambiObject
              com.trolltech.qt.core.QObject
                  com.trolltech.qt.core.QFutureWatcherBase
                      com.trolltech.qt.core.QFutureWatcherVoid

All Implemented Interfaces:
  com.trolltech.qt.QtJambiInterface

    public class QFutureWatcherVoid

extends QFutureWatcherBase

This class is internal to Qt Jambi.This class is internal to Qt Jambi.

Nested Class Summary

Nested classes/interfaces inherited from class com.trolltech.qt.QtJambiObject
`com.trolltech.qt.QtJambiObject.QPrivateConstructor`

Nested classes/interfaces inherited from class com.trolltech.qt.QSignalEmitter
`com.trolltech.qt.QSignalEmitter.AbstractSignal, com.trolltech.qt.QSignalEmitter.Signal0, com.trolltech.qt.QSignalEmitter.Signal1<A>, com.trolltech.qt.QSignalEmitter.Signal2<A,B>, com.trolltech.qt.QSignalEmitter.Signal3<A,B,C>, com.trolltech.qt.QSignalEmitter.Signal4<A,B,C,D>, com.trolltech.qt.QSignalEmitter.Signal5<A,B,C,D,E>, com.trolltech.qt.QSignalEmitter.Signal6<A,B,C,D,E,F>, com.trolltech.qt.QSignalEmitter.Signal7<A,B,C,D,E,F,G>, com.trolltech.qt.QSignalEmitter.Signal8<A,B,C,D,E,F,G,H>, com.trolltech.qt.QSignalEmitter.Signal9<A,B,C,D,E,F,G,H,I>`

Field Summary

Fields inherited from class com.trolltech.qt.core.QFutureWatcherBase
`canceled, finished, paused, progressRangeChanged, progressTextChanged, progressValueChanged, resultReadyAt, resultsReadyAt, resumed, started`

Constructor Summary
`` | `QFutureWatcherVoid()` This method is internal to Qt Jambi.
`` | `QFutureWatcherVoid(QObject _parent)` This method is internal to Qt Jambi.
`protected` | `QFutureWatcherVoid(com.trolltech.qt.QtJambiObject.QPrivateConstructor p)` This method is internal to Qt Jambi.

Method Summary
`static QFutureWatcherVoid` | `fromNativePointer(com.trolltech.qt.QNativePointer nativePointer)` This method is internal to Qt Jambi.
`QFutureVoid` | `future()` This method is internal to Qt Jambi.
`void` | `setFuture(QFutureVoid future)` This method is internal to Qt Jambi.

Methods inherited from class com.trolltech.qt.core.QFutureWatcherBase
`__qt_signalInitialization, cancel, connectOutputInterface, disconnectOutputInterface, disconnectOutputInterface, event, isCanceled, isFinished, isPaused, isRunning, isStarted, pause, progressMaximum, progressMinimum, progressText, progressValue, resume, setPaused, setPendingResultsLimit, togglePaused, waitForFinished`

Methods inherited from class com.trolltech.qt.core.QObject
`blockSignals, childEvent, children, connectSlotsByName, customEvent, disposeLater, dumpObjectInfo, dumpObjectTree, dynamicPropertyNames, eventFilter, findChild, findChild, findChild, findChildren, findChildren, findChildren, findChildren, indexOfProperty, installEventFilter, isWidgetType, killTimer, moveToThread, objectName, parent, properties, property, removeEventFilter, setObjectName, setParent, setProperty, signalsBlocked, startTimer, thread, timerEvent, toString, userProperty`

Methods inherited from class com.trolltech.qt.QtJambiObject
`disableGarbageCollection, dispose, disposed, equals, finalize, nativeId, nativePointer, reassignNativeResources, reenableGarbageCollection, setJavaOwnership, tr, tr, tr`

Methods inherited from class com.trolltech.qt.QSignalEmitter
`disconnect, disconnect, signalSender`

Methods inherited from class java.lang.Object
`clone, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### QFutureWatcherVoid

    public QFutureWatcherVoid()

  This method is internal to Qt Jambi.

### QFutureWatcherVoid

    public QFutureWatcherVoid(QObject _parent)

  This method is internal to Qt Jambi.

### QFutureWatcherVoid

    protected QFutureWatcherVoid(com.trolltech.qt.QtJambiObject.QPrivateConstructor p)

  This method is internal to Qt Jambi.

Method Detail

### setFuture

    public final void setFuture(QFutureVoid future)

  This method is internal to Qt Jambi.

### fromNativePointer

    public static QFutureWatcherVoid fromNativePointer(com.trolltech.qt.QNativePointer nativePointer)

  This method is internal to Qt Jambi.

### future

    public final QFutureVoid future()

  This method is internal to Qt Jambi.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD